Subject: Re: bug#14765: 24.3.50; desktop-restore-frames on NS does not work

From: Jan Djärv <[email-masked]>
Date: Tue, 2 Jul 2013 20:09:47 +0200

Hello.

2 jul 2013 kl. 19:38 skrev Juanma Barranquero <[email-masked]>:

> On Tue, Jul 2, 2013 at 7:34 PM, Jan Djärv <[email-masked]> wrote:
> 
> Windows does not have display names either, so w32 functions that must
> use or return a display name use "w32". I suggest you do the same and
> use "ns" everywhere.

But then a NS user must know that make-frame-on-display must have "ns" as argument.
This is not documented anywhere (nor is the "w32" thing).
I'd rather just accept anything.

> 
>> The display-format-alist makes no sense.  It is not like we can
>> start a W32 or NS frame on an X-verson of Emacs or have any
>> combination except X on X, W32 on W32 and NS on NS.
> 
> There are X Server implementations for Windows. It could be
> conceivable to have a Windows Emacs that could open "normal" (w32)
> frames and X ones. It's just that nobody has implemented it.

There are X server implementations for OSX also, but mixing X and NS (or X and W32) in the same binary is not easy, and AFAIK, nobody has done it for any application.  Not to mention that Emacs itself is very hard to convert to a "multi-GUI" application.  Having a display check for some theoretical future implementation which nobody has asked for and nobody is even considering, is just silly IMHO.

> 
> Can we close this bug, then, or there's something more to do?

I'll close it when I check in a fix.

	Jan D.